Package: org.gradle

## [Java] Class BuildAdapter

- org.gradle.BuildAdapter

- All Implemented Interfaces and Traits:
    BuildListener

      public class BuildAdapter
      extends Object

  A BuildListener adapter class for receiving build events. The methods in this class are empty. This class exists as convenience for creating listener objects.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `buildFinished(BuildResult result)`
    `void` | `buildStarted(Gradle gradle)`
    `void` | `projectsEvaluated(Gradle gradle)`
    `void` | `projectsLoaded(Gradle gradle)`
    `void` | `settingsEvaluated(Settings settings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void buildFinished(BuildResult result)

    - #### public void buildStarted(Gradle gradle)

    - #### public void projectsEvaluated(Gradle gradle)

    - #### public void projectsLoaded(Gradle gradle)

    - #### public void settingsEvaluated(Settings settings)